
Foreman - Bug #699

Foreman Template Parser bug

03/01/2011 02:28 PM - Arnaud Sourioux

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It seem's like the Template parser has a problem when i try to do things such as :

<%= first_var(<%= second_var %>) %>

(for example first_var could be "foreman url")

the parser detect this :

<%= first_var(<%= second_var %> as a foreman variable (and then it gives me a parser error)

instead of  <%= second_var %>

included in <%= first_var("second_var_result") %>

It is like a maths parser

if I have ($a + ($c + $b))

I should find ($c + $b) included in ($a + ($result_of_c+b))

Associated revisions

Revision 74cc816a - 09/19/2016 08:29 AM - Anurag Patel

Fixes #699 - Added npm install steps missing from the manual (#703)

Added correct form of GNU GPL to contributing guide

History

#1 - 03/01/2011 02:44 PM - Ohad Levy

- Status changed from New to Feedback

arnaud sourioux wrote:

It seem's like the Template parser has a problem when i try to do things such as :

<%= first_var(<%= second_var %>) %>

 since the templates are ruby (ERB stands for Embedded Ruby), you need to follow the ruby syntax for that:

if they are strings then you can do:

<%= "#{first_var} #{second_var}" %>

 if its dynamic methods you might need to

<%= eval "#{first_var} #{second_var}" %>
#2 - 03/03/2011 12:51 PM - Arnaud Sourioux

it's okay for me

i'am sorry first time i work on ruby files ;)

thank you

#3 - 03/15/2011 03:46 AM - Ohad Levy

- Status changed from Feedback to Closed
